package com.ruoyi.project.production.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.production.mapper.TPpeCmldefLockerMapper;
import com.ruoyi.project.production.domain.TPpeCmldefLocker;
import com.ruoyi.project.production.service.ITPpeCmldefLockerService;

/**
 * 自行车棚防化靴/防化服柜子Service业务层处理
 *
 * @author ssy
 * @date 2023-11-30
 */
@Service
public class TPpeCmldefLockerServiceImpl implements ITPpeCmldefLockerService
{
    @Autowired
    private TPpeCmldefLockerMapper tPpeCmldefLockerMapper;

    /**
     * 查询自行车棚防化靴/防化服柜子
     *
     * @param id 自行车棚防化靴/防化服柜子ID
     * @return 自行车棚防化靴/防化服柜子
     */
    @Override
    public TPpeCmldefLocker selectTPpeCmldefLockerById(Long id)
    {
        return tPpeCmldefLockerMapper.selectTPpeCmldefLockerById(id);
    }

    /**
     * 查询自行车棚防化靴/防化服柜子列表
     *
     * @param tPpeCmldefLocker 自行车棚防化靴/防化服柜子
     * @return 自行车棚防化靴/防化服柜子
     */
    @Override
    public List<TPpeCmldefLocker> selectTPpeCmldefLockerList(TPpeCmldefLocker tPpeCmldefLocker)
    {
        return tPpeCmldefLockerMapper.selectTPpeCmldefLockerList(tPpeCmldefLocker);
    }

    @Override
    public List<TPpeCmldefLocker> selectTPpeCmldefLockerListByMainId(Long mainId)
    {
        return tPpeCmldefLockerMapper.selectTPpeCmldefLockerListByMainId(mainId);
    }

    /**
     * 新增自行车棚防化靴/防化服柜子
     *
     * @param tPpeCmldefLocker 自行车棚防化靴/防化服柜子
     * @return 结果
     */
    @Override
    public int insertTPpeCmldefLocker(TPpeCmldefLocker tPpeCmldefLocker)
    {
        return tPpeCmldefLockerMapper.insertTPpeCmldefLocker(tPpeCmldefLocker);
    }

    /**
     * 修改自行车棚防化靴/防化服柜子
     *
     * @param tPpeCmldefLocker 自行车棚防化靴/防化服柜子
     * @return 结果
     */
    @Override
    public int updateTPpeCmldefLocker(TPpeCmldefLocker tPpeCmldefLocker)
    {
        return tPpeCmldefLockerMapper.updateTPpeCmldefLocker(tPpeCmldefLocker);
    }

    /**
     * 批量删除自行车棚防化靴/防化服柜子
     *
     * @param ids 需要删除的自行车棚防化靴/防化服柜子ID
     * @return 结果
     */
    @Override
    public int deleteTPpeCmldefLockerByIds(Long[] ids)
    {
        return tPpeCmldefLockerMapper.deleteTPpeCmldefLockerByIds(ids);
    }

    /**
     * 删除自行车棚防化靴/防化服柜子信息
     *
     * @param id 自行车棚防化靴/防化服柜子ID
     * @return 结果
     */
    @Override
    public int deleteTPpeCmldefLockerById(Long id)
    {
        return tPpeCmldefLockerMapper.deleteTPpeCmldefLockerById(id);
    }
}
